<template>
    <!-- 弹出框表单 -->
    <el-drawer
            :title="title"
            :visible.sync="open"
            :direction="direction"
            :destroy-on-close="true"
            size="50%">
        <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>
                                            <Field label="用户ID," prop="userId" v-model="form.userId" placeholder="请输入用户ID,"/>
                            <Field label="页面ID, 关联到用户表中的ID，表示哪个用户收藏了这个页面" prop="pageId" v-model="form.pageId" placeholder="请输入页面ID, 关联到用户表中的ID，表示哪个用户收藏了这个页面"/>
                            <Field label="备注" prop="remark" v-model="form.remark" type="textarea" placeholder="请输入备注"/>
                            <Field label="收藏时间" prop="favoriteTime" v-model="form.favoriteTime" type="date" />

            </el-row>

            <form-buttons @submit='submitForm' v-if="pageInfo.type!='view'" noCancelBtn />
        </el-form>

    </el-drawer>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    export default {
        name: "FavoritesPagesDetail",
        mixins: [form],
        components: {

        },
        created() {
            this.changePath("favorites/pages")
        },
        data() {
            return {
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "收藏页面",
                // 是否显示弹出层
                open: false,
                direction:"rtl",
                toString:[
                ],
                toDate:[
                    "favoriteTime",
                ],
                // 表单校验
                rules: {
                    favoriteTime: [
                        {required: true,message: "请选择收藏时间" },
                    ],
                    createTime: [
                        {required: true,message: "请选择创建时间" },
                    ],
                }
            };
        },

        methods: {
            /** 编辑 */
            edit(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="favorites/pages/edit";
                this.getData();
                this.pageInfo.type="edit"
                this.title = "修改收藏页面";
            },
            /** 新增 */
            add(row) {
                this.reset()
                this.urls.currUrl = "favorites/pages/add";
                this.getData();
                this.pageInfo.type="add"
                this.title = "新增收藏页面";
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="favorites/pages/view";
                this.getData();
                this.pageInfo.type="view"
                this.title = "收藏页面详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {
                this.open = true;
            },

            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    userId : null,
                    pageId : null,
                    remark : "",
                    favoriteTime : null,
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
